# $Revision: 1.34 $, $Date: 2002/09/15 22:31:23 $
# TODO:
#    - split into subpackages (plugins)
#    - use external wv library
Summary:	AbiWord - advanced wordprocessor
Summary(pl):	AbiWord - zaawansowany procesor tekstu
Summary(pt_BR):	Processador de textos completo
Summary(zh_CN):	ƽִ̨
Name:		abiword
Version:	1.0.3
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	http://download.sourceforge.net/abiword/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/abiword/%{name}-plugins.tar.gz
Source2:	%{name}.desktop
Patch0:		%{name}-oldmagick.patch
Patch1:		%{name}-fonts.patch
URL:		http://www.abisource.com/
BuildRequires:	Aiksaurus-devel
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1.5-8
BuildRequires:	bonobo-devel
BuildRequires:	gal-devel >= 0.5
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRequires:	gnome-vfs-devel
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	libglade-gnome-devel
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	libxml-devel
BuildRequires:	pspell-devel
BuildRequires:	readline-devel
BuildRequires:	zipios++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME

%description
AbiWord is a free word processing program similar to Microsoft Word.
It is suitable for typing papers, letters, reports, memos, and so
forth.

%description -l pl
AbiWord jest darmowym procesorem tekstu podobnym do Microsoft Word.
Jest idealnym narzdziem do pisania dokumentw, listw, raportw itp.

%description -l pt_BR
AbiWord  um processador de textos de livre distribuio para vrias
plataformas, com o objetivo de ser um aplicativo leve e completo.

%prep
%setup -q -a1
%patch1 -p1
cd abiword-plugins/abiword-plugins
%patch0 -p1

%build
cd abi
./autogen.sh
%{__gettextize}
if [ -f %{_pkgconfigdir}/libpng12.pc ] ; then
        CPPFLAGS="`pkg-config libpng12 --cflags`"
fi
%configure CPPFLAGS="$CPPFLAGS" \
	--enable-gnome \
	--enable-bidi \
	--with-pspell \
	--with-libjpeg \
	--with-libxml2
%{__make} -f GNUmakefile

cd ../abiword-plugins/abiword-plugins
find . -name autogen.sh -type f -exec /bin/sh -c "echo \"libtoolize --copy --force\" >> {}" ";"
./autogen.sh; ./autogen.sh
%configure CPPFLAGS="$CPPFLAGS `%{_bindir}/gtk-config --cflags`" \
	--prefix=%{_libdir}/AbiSuite \
	--enable-gnome \
	--with-bzip2 \
	--with-ImageMagick \
	--with-abiword=$PWD/../../abi/
%{__make} -f GNUmakefile

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/Office/Wordprocessors,%{_pixmapsdir}}

%{__make} -C abi -f GNUmakefile install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C abiword-plugins/abiword-plugins -f GNUmakefile install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_libdir}/AbiSuite/AbiWord/plugins  $RPM_BUILD_ROOT%{_datadir}/AbiSuite/AbiWord/plugins
ln -sf %{_bindir}/AbiWord $RPM_BUILD_ROOT%{_bindir}/abiword

install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Office/Wordprocessors
install $RPM_BUILD_ROOT%{_datadir}/AbiSuite/icons/abiword_48.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc abi/docs/*.abw abi/CREDITS.TXT
%attr(755,root,root) %{_bindir}/*
%{_datadir}/AbiSuite
%dir %{_libdir}/AbiSuite
%dir %{_libdir}/AbiSuite/AbiWord
%dir %{_libdir}/AbiSuite/AbiWord/plugins
%attr(755,root,root) %{_libdir}/AbiSuite/AbiWord/plugins/*.so
%attr(755,root,root) %{_libdir}/AbiSuite/AbiWord/plugins/*.la
%{_applnkdir}/Office/Wordprocessors/*
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: abiword.spec,v $
Revision 1.34  2002/09/15 22:31:23  kloczek
- updated to 1.0.3.

Revision 1.33  2002/08/22 11:28:43  zagrodzki
- rel 4 (new -fonts patch)
- STBR

Revision 1.32  2002/08/14 18:03:54  michuz
- %%prep fix

Revision 1.31  2002/08/14 10:38:42  zagrodzki
- added abiword-fonts.patch
- rel 3.

Revision 1.30  2002/08/06 12:11:23  qboosh
- BR: libglade-gnome-devel

Revision 1.29  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.28  2002/06/17 05:42:57  kloczek
- add Epoch: 1 (for allow upgrade from RH version),
- merge translations from Conectiva nad TurboLinux,
- use new %doc.

Revision 1.27  2002/06/16 20:50:06  adgor
- BR libglade-devel, libxml-devel
- Release 2

Revision 1.26  2002/06/16 18:07:20  saq
- up to 1.0.2
- cleaned up and updated BuildRequires
- chose libxml2 as XML parser (either that or expat)
- STBR

Revision 1.25  2002/05/15 17:20:22  misiek
- downgrade Magick plugin to 1.0.0 version

Revision 1.24  2002/05/11 12:45:34  blues
- gtk+-devel added to BR

Revision 1.23  2002/05/11 11:16:19  misiek
- fixed path to main pkg

Revision 1.22  2002/05/11 10:42:45  misiek
- include plugins

Revision 1.21  2002/05/09 18:03:41  saq
- BR bonobo-devel

Revision 1.20  2002/05/08 17:26:47  pioklo
- up to 1.0.1

Revision 1.19  2002/04/26 00:34:23  saq
- BR: gnome-vfs-devel

Revision 1.18  2002/04/25 15:41:03  arturs
fixed a small typo

Revision 1.17  2002/04/24 17:48:56  saq
- move >= 1.5-8 from BR autoconf to automake :)

Revision 1.16  2002/04/24 15:01:03  filon
- added one todo

Revision 1.15  2002/04/24 11:13:48  blues
- modified BR - it builds now in Ra
STBR

Revision 1.14  2002/04/21 15:33:12  djrzulf
- added needed BRs,

Revision 1.13  2002/04/20 13:08:04  misiek
- final update to 1.0.0 + enabled almost all plugins

Revision 1.12  2002/04/20 00:21:50  misiek
- started update to 1.0.0 but unfinished (plugins)

Revision 1.11  2002/03/24 23:41:09  alchemyx
- typo in source URL

Revision 1.10  2002/03/04 17:18:18  fvk
- pl spelling: s/zaawanoswany/zaawansowany/

Revision 1.9  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/03 20:41:39  ankry
- adding es/pt/pt_BR Group translations

Revision 1.7  2002/01/21 17:47:43  michuz
- added icon

Revision 1.6  2002/01/21 10:17:02  michuz
- added description

Revision 1.5  2002/01/21 10:04:08  michuz
- fixed _bindir

Revision 1.4  2002/01/21 09:19:24  michuz
- typo

Revision 1.3  2002/01/21 08:56:14  michuz
- added applnkdir

Revision 1.2  2002/01/21 08:44:27  michuz
- added %%files and %%install

Revision 1.1  2002/01/20 23:27:12  michuz
- just started

